import { Component, OnInit } from "@angular/core";
import { Http, Headers, RequestOptions } from "@angular/http";
import { ActivatedRoute } from "@angular/router";
import "rxjs/Rx";

@Component({
    selector: "authenticated",
    templateUrl: "./components/authenticated/authenticated.html",
})
export class AuthenticatedComponent implements OnInit {

    public content: string;

    public constructor(private http: Http, private route: ActivatedRoute) {
        this.content = "";
    }

    public ngOnInit() {
        this.route.queryParams.subscribe(params => {
            let headers = new Headers({ "Authorization": "Basic " + params["jwt"] });
            let options = new RequestOptions({ headers: headers });
            this.http.get("http://localhost:3000/protected", options)
                .map(result => result.json())
                .subscribe(result => {
                    this.content = result.message;
                });
        });
    }

}
