import { Component } from "@angular/core";
import { Http, Headers, RequestOptions } from "@angular/http";
import { Router } from "@angular/router";
import * as Toast from "nativescript-toast";
import "rxjs/Rx";

@Component({
    selector: "login",
    templateUrl: "./components/login/login.html",
})
export class LoginComponent {

    public constructor(private http: Http, private router: Router) { }

    public login(username: string, password: string) {
        let headers = new Headers({ "Content-Type": "application/json" });
        let options = new RequestOptions({ headers: headers });
        this.http.post("http://localhost:3000/authenticate", JSON.stringify({ username: username, password: password }), options)
            .map(result => result.json())
            .subscribe(result => {
                this.router.navigate(["authenticated"], { queryParams: { jwt: result.token } });
            }, error => {
                Toast.makeText(error.json().message).show();
            });
    }

}
